package com.mortals.xhx.module.perform.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.perform.model.vo.PerformDeptConfVo;
import lombok.Data;
/**
* 部门自动考核信息实体对象
*
* @author zxfei
* @date 2023-05-16
*/
@Data
public class PerformDeptConfEntity extends PerformDeptConfVo {
    private static final long serialVersionUID = 1L;

    /**
    * 部门id
    */
    private Long deptId;
    /**
    * 部门名称
    */
    private String deptName;
    /**
    * 考勤绩效指标数量
    */
    private Integer attendCount;
    /**
    * 评价绩效指标数量
    */
    private Integer assessCount;
    /**
    * 办件绩效指标数量
    */
    private Integer workCount;
    /**
    * 效能绩效指标数量
    */
    private Integer effectCount;
    /**
    * 其它绩效指标数量
    */
    private Integer otherCount;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof PerformDeptConfEntity) {
            PerformDeptConfEntity tmp = (PerformDeptConfEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.deptId = -1L;

            this.deptName = "";

            this.attendCount = -1;

            this.assessCount = -1;

            this.workCount = -1;

            this.effectCount = -1;

            this.otherCount = -1;

            this.remark = "";
    }
}